#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-9PjbcMU7f7NCxd2PuR8CCp
key:                  lsp-1.2.0.1-9PjbcMU7f7NCxd2PuR8CCp
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  a3fcbabab2fe532af28bd2db5a90a6bf
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-78KpnGjFuVCR5HJHKDwYE:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-78KpnGjFuVCR5HJHKDwYE:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-78KpnGjFuVCR5HJHKDwYE:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-78KpnGjFuVCR5HJHKDwYE:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-9PjbcMU7f7NCxd2PuR8CCp
depends:
    aeson-1.5.6.0-D6JFXMoVVY440Mpm8YlAiW
    async-2.2.4-CZCW19AQt64j5Nn1VW4P0
    attoparsec-0.14.4-5IzIDbgcbv25MsrsjK5Xz5 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dependent-map-0.4.0.0-I61Be5LNtsKHmyuJAD2luR exceptions-0.10.4
    hashable-1.4.0.2-BtUN60XU2rZ3DwXWIBThsB
    hslogger-1.3.1.0-C7GhBqIzkyDJl5oO4Nk0uO
    lens-5.1.1-8E4VVgbuyZB1VAyRQnC4Kb
    lsp-types-1.3.0.1-78KpnGjFuVCR5HJHKDwYE mtl-2.2.2
    network-uri-2.6.4.1-y8FoVZgjIQ3c5KlrbV6Id
    random-1.2.1.1-7qFLeSti7cd2nEeY08jtlf
    scientific-0.3.7.0-2bBilO5AY4p7o0WHMnmlyC
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-7SQ4DJN6rki64sevxnHKhZ
    uuid-1.3.15-9dv9loRKeR7JXxzCaqxcOD

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

